#include "gui/widgets/clickable_label.h"
/* NOTE: this can likely be moved to poster.cpp, as
   it's really the only place this will ever be used */

ClickableLabel::ClickableLabel(QWidget* parent) : QLabel(parent) {
	setCursor(Qt::PointingHandCursor);
}

ClickableLabel::~ClickableLabel() {
}

void ClickableLabel::mousePressEvent(QMouseEvent*) {
	emit clicked();
}

#include "gui/widgets/moc_clickable_label.cpp"
